aboutsummaryrefslogtreecommitdiff
diff options
context:
space:
mode:
-rw-r--r--tests/common.sh.in4
1 files changed, 2 insertions, 2 deletions
diff --git a/tests/common.sh.in b/tests/common.sh.in
index d12aebdad..b341993f7 100644
--- a/tests/common.sh.in
+++ b/tests/common.sh.in
@@ -109,10 +109,10 @@ startDaemon() {
killDaemon() {
kill $pidDaemon
for i in {0..100}; do
- kill -0 $pidDaemon || break
+ kill -0 $pidDaemon 2> /dev/null || break
sleep 0.1
done
- kill -9 $pidDaemon || true
+ kill -9 $pidDaemon 2> /dev/null || true
wait $pidDaemon || true
trap "" EXIT
}